This addon contains all addons I used to have rolled into one, with options.

## Features

### Automation
- When I open a vendor dialog;
  - Then all grey items will be sold.

- When I open a vendor dialog with repair option;
  - Then all gear will be repaired.

- When I select the Hearthstone bind option;
  - Then it accepts the bind.

### Chat
- When I receive a loot message;
  - Then it prints a smaller version.

- When I use the slash command `/rl` or `/reload`;
  - Then it will reload the interface.

- When I gain experience points;
  - Then it tells you how many repetitions until my next level.

### ErrorsFrame
- When I receive an error message;
  - When the option for that error is enabled;
    - Then it will ignore the message and not show it.

### Mail
- When I add a twelfth item to a mail;
  - When the mail has a recipient and a title;
    - Then the mail is sent.

### Minimap
- When I scroll the mouse wheel;
  - Then the minimap zooms in and out.

- When I right click the minimap;
  - Then the tracking menu opens.

- When I look at the minimap border;
  - Then the Calendar button is hidden.
  - Then the Clock button is hidden.
  - Then the Tracking button is hidden.
  - Then the Area text is hidden.
  - Then the World Map button is hidden.
  - Then the Voice Chat button is hidden.
  - Then the Zoom buttons are hidden.

### Questing
- When I open a NPC dialog by clicking on an NPC;
  - When the pause key is held;
    - All automation is turned off.
  - When the Accept Quests option is on;
    - When the NPC has quests to accept;
      - Will accept the quests.
  - When the Complete Quests option is on;
    - When the NPC has quests to complete;
      - When the quests do not let you choose a reward;
        - Will complete the quests.
      - When the quests let you choose a reward;
        - Will allow you to pick a reward.

### Tooltips
- When I set the anchor;
  - The tooltip location on the screen changes.

### To Do
- Add option for auto accepting pvp release on death.
- Add options for showing/hiding blizzard ui elements.
- Integrate frame moving library.
- Add options for moving blizzard frames.
- Add options for mobing custom frames.
- Integrate acrion button library:
  - 6 Action Button Bars.
  - Pet Bar.
  - XP Bar.
  - Rep Bar.
  - Cast Bar.
  - Mirror Bar.
  - Weapon Swing Bar.
  - Consumables Action Bar.
  - Usable Quest Items Bar.
  - Micro Menu Dropdown.
